# $Revision: 1.47 $, $Date: 2011/10/24 14:16:25 $
# TODO: PLDify init script
Summary:	Service Availability Forum's Hardware Platform Interface (HPI) implementation
Summary(pl.UTF-8):	Implementacja HPI (Hardware Platform Interface) Service Availability Forum
Name:		openhpi
Version:	3.0.0
Release:	1
License:	BSD
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/openhpi/%{name}-%{version}.tar.gz
# Source0-md5:	9089cb59b732ff00b3805a1809405b4b
Patch0:		%{name}-types.patch
Patch1:		%{name}-sh.patch
Patch2:		%{name}-proto.patch
Patch3:		%{name}-rtas.patch
Patch4:		%{name}-c++.patch
Patch5:		%{name}-install.patch
Patch6:		%{name}-link.patch
Patch7:		%{name}-config-echo.patch
URL:		http://www.openhpi.org/
BuildRequires:	OpenIPMI-devel >= 1.4.20
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.8
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	gcc >= 5:3.2.0
BuildRequires:	glib2-devel >= 1:2.12
BuildRequires:	libltdl-devel
%ifarch ppc ppc64
BuildRequires:	librtas-devel
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	sysfsutils-devel >= 1.3.0-3
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

# oh_evt_queue_push, oh_event_free symbols provided by openhpid executable
%define skip_post_check_so libipmi.so.* libwatchdog.so.* libsysfs2hpi.so.* libsnmp_bc.so.* libipmidirect.so.* libdyn_simulator.so.* libsimulator.so.* libilo2_ribcl.so.* liboa_soap.so.*


%description
OpenHPI is an open source project created with the intent of providing
an implementation of the Service Availability Forum's Hardware
Platform Interface (HPI). HPI provides a universal interface for
creating resource system models, typically for chassis and rack based
servers, but extendable for other problem domains such as clustering,
virtualization and simulation.

%description -l pl.UTF-8
OpenHPI to otwarty projekt stworzony z zamiarem dostarczenia
implementacji HPI (Hardware Platform Interface - interfejsu platformy
sprzętowej) Service Availability Forum. HPI udostępnia uniwersalny
interfejs do tworzenia modeli systemów zasobów, zwykle dla serwerów
w ramach i szafach, ale rozszerzalny dla innego rodzaju problemów,
takich jak klastrowanie, wirtualizacja czy symulacja.

%package libs
Summary:	OpenHPI Toolkit libraries
Summary(pl.UTF-8):	Biblioteki OpenHPI
Group:		Libraries
Requires:	glib2 >= 1:2.12
Conflicts:	openhpi < 2.14.1

%description libs
OpenHPI Toolkit libraries.

%description libs -l pl.UTF-8
Biblioteki OpenHPI.

%package devel
Summary:	Development part of OpenHPI Toolkit library
Summary(pl.UTF-8):	Programistyczna część biblioteki OpenHPI
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12
Requires:	libltdl-devel
# for libosahpi
Requires:	libstdc++-devel
Requires:	libuuid-devel

%description devel
Development part of OpenHPI library.

%description devel -l pl.UTF-8
Programistyczna część biblioteki OpenHPI.

%package static
Summary:	Static OpenHPI library
Summary(pl.UTF-8):	Statyczna biblioteka OpenHPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenHPI Toolkit libraries.

%description static -l pl.UTF-8
Statyczna biblioteka OpenHPI.

%package plugin-ipmi
Summary:	ipmi plugin for OpenHPI
Summary(pl.UTF-8):	Wtyczka ipmi dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenIPMI >= 1.4.20

%description plugin-ipmi
ipmi plugin for OpenHPI.

%description plugin-ipmi -l pl.UTF-8
Wtyczka ipmi dla OpenHPI.

%package plugin-ipmidirect
Summary:	ipmidirect plugin for OpenHPI
Summary(pl.UTF-8):	Wtyczka ipmidirect dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-ipmidirect
ipmidirect plugin for OpenHPI.

%description plugin-ipmidirect -l pl.UTF-8
Wtyczka ipmidirect dla OpenHPI.

%package plugin-rtas
Summary:	RTAS plugin for OpenHPI
Summary(pl.UTF-8):	Wtyczka RTAS dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lsvpd

%description plugin-rtas
RTAS plugin for OpenHPI.

%description plugin-rtas -l pl.UTF-8
Wtyczka RTAS dla OpenHPI.

%package plugin-simulator
Summary:	simulator plugin for OpenHPI
Summary(pl.UTF-8):	Wtyczka simulator dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-simulator
simulator plugin for OpenHPI.

%description plugin-simulator -l pl.UTF-8
Wtyczka simulator dla OpenHPI.

%package plugin-snmp
Summary:	SNMP plugins for OpenHPI
Summary(pl.UTF-8):	Wtyczki SNMP dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-snmp
SNMP plugins for OpenHPI: snmp_bc.

%description plugin-snmp -l pl.UTF-8
Wtyczki SNMP dla OpenHPI: snmp_bc.

%package plugin-sysfs
Summary:	sysfs plugin for OpenHPI
Summary(pl.UTF-8):	Wtyczka sysfs dla OpenHPI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-sysfs
sysfs plugin for OpenHPI.

%description plugin-sysfs -l pl.UTF-8
Wtyczka sysfs dla OpenHPI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-cpp_wrappers \
	--enable-daemon \
	--enable-ipmi \
%ifarch ppc ppc64
	--enable-rtas \
%endif
	--enable-simulator

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# remove useless static plugins (but *.la are used by lt_dlopen)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README README.daemon
%attr(755,root,root) %{_bindir}/hpi*
%attr(755,root,root) %{_bindir}/ohdomainlist
%attr(755,root,root) %{_bindir}/ohhandler
%attr(755,root,root) %{_bindir}/ohparam
%attr(755,root,root) %{_sbindir}/openhpid
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libdyn_simulator.so*
%{_libdir}/%{name}/libdyn_simulator.la
%attr(755,root,root) %{_libdir}/%{name}/libilo2_ribcl.so*
%{_libdir}/%{name}/libilo2_ribcl.la
%attr(755,root,root) %{_libdir}/%{name}/liboa_soap.so*
%{_libdir}/%{name}/liboa_soap.la
%attr(755,root,root) %{_libdir}/%{name}/libwatchdog.so*
%{_libdir}/%{name}/libwatchdog.la
%dir %{_sysconfdir}/openhpi
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openhpi/openhpi.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openhpi/openhpiclient.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openhpi/simulation.data
%attr(754,root,root) /etc/rc.d/init.d/openhpid
%dir %{_localstatedir}/lib/%{name}
%{_mandir}/man1/hpi*.1*
%{_mandir}/man1/ohdomainlist.1*
%{_mandir}/man1/ohhandler.1*
%{_mandir}/man1/ohparam.1*
%{_mandir}/man7/openhpi.7*
%{_mandir}/man8/openhpid.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenhpi*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenhpi*.so.3
%attr(755,root,root) %{_libdir}/libosahpi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosahpi.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenhpi*.so
%attr(755,root,root) %{_libdir}/libosahpi.so
%{_libdir}/libopenhpi*.la
%{_libdir}/libosahpi.la
%dir %{_includedir}/openhpi
%{_includedir}/openhpi/*.h
%{_includedir}/openhpi/oSaHpi*.hpp
%{_pkgconfigdir}/openhpi.pc
%{_pkgconfigdir}/openhpiutils.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenhpi*.a
%{_libdir}/libosahpi.a

%files plugin-ipmi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libipmi.so*
%{_libdir}/%{name}/libipmi.la

%files plugin-ipmidirect
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libipmidirect.so*
%{_libdir}/%{name}/libipmidirect.la

%ifarch ppc ppc64
%files plugin-rtas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/librtas2hpi.so*
%{_libdir}/%{name}/librtas2hpi.la
%endif

%files plugin-simulator
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libsimulator.so*
%{_libdir}/%{name}/libsimulator.la

%files plugin-snmp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libsnmp_bc.so*
%{_libdir}/%{name}/libsnmp_bc.la

%files plugin-sysfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libsysfs2hpi.so*
%{_libdir}/%{name}/libsysfs2hpi.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openhpi.spec,v $
Revision 1.47  2011/10/24 14:16:25  mguevara
- added openhpi-config-echo.patch which fixes evaluation of size of the int
  in the configure script

Revision 1.46  2011/10/22 07:20:11  qboosh
- updated to 3.0.0 (note: new sonames)
- updated link patch

Revision 1.45  2011/04/27 14:19:29  marmarek
- rel 2
- fix BR
- skip_post_check_so for plugins as requires symbols from executable

Revision 1.44  2011/03/18 16:20:52  qboosh
- updated to 2.16.0
- updated c++ patch
- removed obsolete align patch

Revision 1.43  2011/01/15 11:56:58  qboosh
- updated to 2.14.1
- added one more fix to c++ patch
- added install patch to use PLD-compliant init.d dir; package init script
- separated -libs

Revision 1.42  2010/06/06 13:37:53  arekm
- release 3

Revision 1.41  2010/06/06 13:03:37  glen
- release 2

Revision 1.40  2008/08/27 05:06:33  qboosh
- updated to 2.12.0
- updated sh,rtas patches, removed obsolete configure,gcc43 patches

Revision 1.39  2008/07/10 16:15:38  qboosh
- updated types patch
- g_array_index() vs -Werror issue on sparc seems to be worked around upstream

Revision 1.38  2008/07/07 13:46:02  sls
- added gcc43.patch
- rel. 1

Revision 1.37  2008/07/07 13:18:29  sls
- ver. 2.10.2
- URL update

Revision 1.36  2008/02/11 16:47:46  glen
- release 4

Revision 1.35  2007-12-16 13:54:15  glen
- drop -Werror on alpha and sparc; rel 3

Revision 1.34  2007-12-01 23:04:29  qboosh
- updated rtas patch to add missing headers (from SVN)
- rtas plugin R: lsvpd
- release 2

Revision 1.33  2007/11/04 00:35:00  qboosh
- updated to 2.10.1
- updated align patch, removed obsolete sysfs2 patch
- added rtas patch, build rtas plugin on ppc/ppc64
- added c++ patch, build C++ wrappers (libosahpi)

Revision 1.32  2007/03/26 00:39:12  sls
- added configure.patch

Revision 1.31  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.29  2006/12/04 10:08:47  qboosh
- updated todo

Revision 1.28  2006/12/03 22:03:33  qboosh
- updated to 2.7.2, updated types patch

Revision 1.27  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.26  2006/01/24 19:08:20  qboosh
- updated to 2.3.1
- added sysfs2 patch (ready for sysfsutils 2.0.0, should work with 1.3.0 too)
- use -fno-strict-aliasing (gcc 4.1 generated warnings)

Revision 1.25  2005/11/27 12:22:53  qboosh
- updated to 2.3.0

Revision 1.24  2005/10/30 18:31:29  qboosh
- updated to 2.2.1, updated align patch

Revision 1.23  2005/10/22 17:23:53  qboosh
- updated to 2.2.0

Revision 1.22  2005/09/05 05:38:40  qboosh
- updated to 2.1.2, updated align patch, removed obsolete headers patch
- added proto patch

Revision 1.21  2005/05/22 17:19:10  qboosh
- added headers patch (install missing headers)
- release 2

Revision 1.20  2005/05/04 19:11:14  qboosh
- merged from DEVEL

Revision 1.19.2.5  2005/05/04 19:08:36  qboosh
- updated to 2.1.1, simulator is back

Revision 1.19.2.4  2005/04/16 15:28:53  qboosh
- symlink standard libs to libdir

Revision 1.19.2.3  2005/04/16 13:09:23  qboosh
- updated to 2.1.0, removed obsolete ipmi patch

Revision 1.19.2.2  2005/02/28 06:49:43  qboosh
- updated to 2.0.2, updated types patch, removed obsolete amfix,snmp patches
- ipmidirect plugin is back, snmp_client removed at all, simulator still broken

Revision 1.19.2.1  2005/01/21 23:54:35  qboosh
- updated to 2.0.0 (DEVEL branch - too many broken things introduced)
- removed obsolete glib patch, updated types,amfix,align,snmp patches
- added ipmi patch for OpenIPMI 1.4.7+

Revision 1.19  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.18  2004/07/31 00:45:15  qboosh
- added snmp patch (fixes ssize_t conflict with net-snmp headers)

Revision 1.17  2004/07/01 22:30:43  qboosh
- updated OpenIPMI BR

Revision 1.16  2004/07/01 22:13:24  qboosh
- updated to 1.0.0, updated types,align patches

Revision 1.15  2004/06/21 07:06:46  ankry
- added -align.patch, NFY, rel. 2.1

Revision 1.14  2004/06/15 09:48:03  krolik
- rel. 2

Revision 1.13  2004/06/05 19:29:09  qboosh
- updated to 0.9.0, updated amfix,sh patches

Revision 1.12  2004/05/20 17:52:03  qboosh
- updated to 0.7.0, updated types,amfix,sh patches
- removed obsolete snmp,ipmi patches and sc_sensor_data.h source

Revision 1.11  2004/03/29 21:37:37  adamg
- release 2 to rebuild with new sysfsutils

Revision 1.10  2004/03/27 18:25:09  qboosh
- glib patch is back (but now fixes glib version in .pc file)

Revision 1.9  2004/03/27 14:07:24  qboosh
- updated to 0.6.0, updated patches
- separated -plugin-simulator (uses fam now)

Revision 1.8  2004/02/22 16:51:00  qboosh
- more type/alignment fixes (for sparc), release 3

Revision 1.7  2004/02/22 14:10:23  qboosh
- added glib,types patches (fix build on alpha); release 2

Revision 1.6  2004/02/09 20:23:08  qboosh
- updated to 0.5.0, updated snmp patch

Revision 1.5  2004/01/02 22:33:57  qboosh
- OpenIPMI 1.1.8 has been released - build ipmi plugin now; release 2

Revision 1.4  2003/12/12 21:30:55  qboosh
- BR: docbook-dtd41-sgml

Revision 1.3  2003/12/12 21:29:58  qboosh
- updated to 0.4 (supports libsysfs 0.3.0)
- disabled ipmi for now (requires unreleases OpenIPMI)
- switched to glib2
- separated plugins with additional deps

Revision 1.2  2003/12/12 00:05:38  qboosh
- pl descriptions, BR fixes; doesn't build with libsysfs 0.3.0

Revision 1.1  2003/12/06 23:49:35  arekm
- initial pld release
